# Class SingleMapperTask

java.lang.Object
uk.ac.starlink.ttools.task.ConsumerTask
uk.ac.starlink.ttools.task.SingleMapperTask

All Implemented Interfaces:
  `uk.ac.starlink.task.Task`

Direct Known Subclasses:
  `ArrayJoin, CdsUploadSkyMatch, GridDensityMap, MocShape, PixFootprint, SkyConeMatch2, SkyDensityMap, TableCube, TableGroup, TableMatch1, TablePipe, TapUploadSkyMatch`

public abstract class SingleMapperTask extends ConsumerTask
MapperTask which has a single input table.

Since:
  14 Sep 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SingleMapperTask(String purpose, ProcessingMode outMode, boolean useOutFilter, boolean useInFilter)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected TableProducer`
`createInputProducer(uk.ac.starlink.task.Environment env)`
Returns an object provides which provides the (possibly filtered) input table.
`FilterParameter`
`getInputFilterParameter()`
Returns the single input filter parameter, if present.
`InputTableParameter`
`getInputTableParameter()`
Returns the single input table parameter.

### Methods inherited from class ConsumerTask

`createExecutable, createProducer, createProducer, getIdentity, getOutputMode, getParameterList, getParameters, getPurpose`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SingleMapperTask

public SingleMapperTask(String purpose, ProcessingMode outMode, boolean useOutFilter, boolean useInFilter)
Constructor.

Parameters:
  `purpose` - one-line description of the purpose of the task
  `outMode` - processing mode which determines the destination of the processed table
  `useOutFilter` - allow specification of filters for output table
  `useInFilter` - allow specification of filters for input table

## Method Details

### getInputTableParameter

public InputTableParameter getInputTableParameter()
Returns the single input table parameter.

Returns:
  input table parameter

### getInputFilterParameter

public FilterParameter getInputFilterParameter()
Returns the single input filter parameter, if present.

Returns:
  input filter parameter, may be null

### createInputProducer

protected TableProducer createInputProducer(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Returns an object provides which provides the (possibly filtered) input table.

Parameters:
  `env` - execution environment
Returns:
  input table producer
Throws:
  `uk.ac.starlink.task.TaskException`